Page MenuHomePhabricator

Create "Zerrenda:" namespace in euwiki for lists
Closed, ResolvedPublic

Description

Hello!
After some work making lists start with "Zerrenda:" we have decided to make a different namespace for them (https://eu.wikipedia.org/wiki/Wikipedia:Txokoa#Zerrendak_artikulu_al_dira?), so they are not taken as articles in euwiki (similar to Anexo: namespace in Spanish Wikipedia).

The lists shouldn't appear as articles on Special:LongPages.

Event Timeline

Theklan created this task.Nov 19 2018, 1:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 1:44 PM
Urbanecm claimed this task.Nov 19 2018, 1:56 PM
Urbanecm triaged this task as Normal priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 19 2018, 1:56 PM

How should be the corresponding talk namespace called?

It should be Zerrenda_eztabaida

Change 477175 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create List namespace on euwiki

https://gerrit.wikimedia.org/r/477175

I've scheduled this for deployment to tomorrow, Tuesday, December 04, 12:00–13:00 UTC.

Change 477175 merged by jenkins-bot:
[operations/mediawiki-config@master] Create List namespace on euwiki

https://gerrit.wikimedia.org/r/477175

Mentioned in SAL (#wikimedia-operations) [2018-12-04T12:33:52Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:477175|Create List namespace on euwiki (T209834)]] (duration: 00m 47s)

Urbanecm closed this task as Resolved.Dec 4 2018, 12:35 PM

Deployed. If it doesn't work, please reopen&comment.

Theklan reopened this task as Open.Dec 4 2018, 12:38 PM

It does not work:

The namespaces do exist:

"106": {
    "id": 106,
    "case": "first-letter",
    "subpages": "",
    "canonical": "Zerrenda",
    "*": "Zerrenda"
},
"107": {
    "id": 107,
    "case": "first-letter",
    "subpages": "",
    "canonical": "Zerrenda eztabaida",
    "*": "Zerrenda eztabaida"
},

But indeed the titles appear in the LongPages list but when you click on them they point you to an empty page.

Was namespaceDupes.php ran afterwards? (Just guessing)

Was namespaceDupes.php ran afterwards? (Just guessing)

No, it wasn't. @Addshore promised to run it in an hour.

Urbanecm closed this task as Resolved.Dec 4 2018, 1:57 PM

Looks good to me now. Please reopen if it's broken.

Theklan reopened this task as Open.Dec 4 2018, 2:13 PM

They are still counted as articles (or the article counter isn't reflecting the change)

This will be fixed automatically on next update of the counter. IIRC the update happens weekly.

Dcljr added a subscriber: Dcljr.Dec 5 2018, 8:11 AM

I believe it's still just twice a month, on the 1st and 15th. Next recount should therefore happen in 10 days (Dec 15th).

Maybe we can run the script manually to have this fixed and the task closed? Thanks.

Honestly I think we can close it now and in case it isn't fixed after next update (in 10 days), it'll be indicator of some bug inside the auto-updated. In theory we can run the script manually, but get a deployer do to it, that's all it's about ;).

Aklapper closed this task as Resolved.Dec 5 2018, 10:26 AM

Closing task as updating statistics is separate / unrelated from what was requested in this task.

Theklan reopened this task as Open.Dec 16 2018, 9:10 AM

It's 16th and statistics hasn't been renew. Maybe there's something wrong in the configuration of Zerrenda namespace.

Urbanecm closed this task as Resolved.EditedDec 16 2018, 12:22 PM

The namespace wasn't added to $wgContentNamespaces intentionally, as it otherwise will show-up on Special:LongPages and company, and that isn't wanted by the requestor.

It's 16th and statistics hasn't been renew. Maybe there's something wrong in the configuration of Zerrenda namespace.

I executed few queries on euwiki's DB, see results below.

urbanecm@tools-bastion-02 ~  
$ sql euwiki 
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A
 
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 35859065
Server version: 10.1.37-MariaDB MariaDB Server
 
Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.
 
Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.
 
MariaDB [euwiki_p]> select count(*) from page; 
+----------+ 
| count(*) | 
+----------+ 
|   636119 | 
+----------+ 
1 row in set (0.86 sec) 
 
MariaDB [euwiki_p]> select count(*) from page where page_namespace=106; 
+----------+ 
| count(*) | 
+----------+ 
|      368 | 
+----------+ 
1 row in set (0.00 sec) 
  
MariaDB [euwiki_p]> Bye
urbanecm@tools-bastion-02 ~ 
$

As you can see, there's exactly 636119 pages in total (all namespaces, everything that's considered a page), and that matches https://eu.wikipedia.org/wiki/Berezi:Estatistikak (field "Pages"). If you think this number is incorrect, please provide some information we can use to verify the statistics aren't updated, such as another MW special pages, query the DB using https://quarry.wmflabs.org/, output from MW's API, anything we can use to independently verify your statement that statistics aren't updated. If there are some proofs we aren't seeing, please open a new task dedicated to the statistics problem, as, as you can see, the extra namespace itself is working - it contains 368 pages. Thanks!

Thaks for the info. I was thinking Zerrenda would have more items inside.